* {
  magin: 0;
  padding: 0;
}

body {
  font-family: "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", Arial,
    sans-serif;
  overflow: hidden;
  -webkit-overflow-scrolling: touch;
}

#screen {
  position: relative;
  width: 100%;
  height: 100%;
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

#webglDiv {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: radial-gradient(at center center, #ffffff 0, #343f4c 100%);
}

/* -------- 标题 -------- */
#title {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  padding: 0.1rem;
  display: flex;
  justify-content: center;
  font-family: "PingFang SC";
  background-color: #ffffff;
  font-size: 0.12rem;
  line-height: 0.4rem;
  font-weight: 800;
  color: #333333;
}
.titlelogo {
  position: absolute;
  top: 0.12rem;
  left: 0.16rem;
  height: 0.36rem;
  width: 0.8rem;
}
.scene_name {
  position: absolute;
  top: 0.68rem;
  left: 0.09rem;
  max-width: calc(100% - 0.18rem);
  height: auto;
  padding: 0.04rem 0.12rem;
  display: flex;
  /* font-size: 0.12em; */
  color: #333333;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  background-color: rgba(234, 245, 255, 0.8);
  border-radius: 0.04rem;
}
/*加载时的平台名称*/
#loadingCaption {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  padding: 0.1rem;
  display: flex;
  justify-content: center;
  font-family: "PingFang SC";
  background-color: #ffffff;
  font-size: 0.14rem;
  line-height: 0.4rem;
  font-weight: 800;
  color: #333333;
}
/*加载时的工程名称*/
#loadingSceneTitle {
  position: absolute;
  top: 0.68rem;
  left: 0.09rem;
  max-width: calc(100% - 0.18rem);
  height: auto;
  padding: 0.04rem 0.12rem;
  display: flex;
  font-size: 0.12em;
  color: #333333;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  background-color: rgba(234, 245, 255, 0.8);
  border-radius: 0.04rem;
}

.loadCenter {
  width: 3.5rem;
  height: 3.5rem;
  background-image: url("../img/loadbg.gif");
  background-size: 100% 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 800;
  line-height: 0.24rem;
}

.loadTitle {
  color: #333333;
  font-size: 0.17rem;
  width: 1.4rem;
  text-align: center;
  word-wrap: break-word;
}

.loadText {
  color: #53c0eb;
  font-size: 0.18rem;
  text-align: center;
}

/*缩略图容器*/
#figureContainer {
  /*position: absolute;*/
  margin-top: 0.5rem;
  bottom: 0.7rem;
  width: 100%;
  height: 13em;
  text-align: center;
  display: flex;
  vertical-align: middle;
}
/*缩略图*/
#figure {
  /*width: 40%;*/
  height: auto;
  max-width: 100%;
  max-height: 12.9em;
  display: block;
  margin: auto;
}
/* -------- menu-bar 底部菜单 -------- */
#menu-bar {
  position: absolute;
  bottom: 0;
  left: 0;

  width: 100%;
  height: 0.84rem;

  background-color: #ffffff;
  font-size: 0.1rem;
  color: #333333;
  display: flex;
  justify-content: center;
  align-items: center;
}
#menu-bar .ul {
  width: 25%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}
#menu-bar .ul img {
  overflow: hidden;
  width: 0.3rem;
  height: 0.3rem;
  cursor: pointer;
  margin-bottom: -0.3rem;
}
#menu-bar .ul .li {
  width: 100%;
  text-align: center;
}
#menu-bar ul li.active {
  border: 1px #ffcc33 dashed;
}
#menu-bar ul li .fas {
  font-size: 0.5rem;
  color: #ffffff;
}

/* --------- 背景颜色菜单 ---------- */
.systemColor {
  position: absolute;
  bottom: 0.84rem;
  left: 0;
  width: 100%;
  height: auto;
  /* background-color: #ffffff; */
  padding: 0.1rem;
  display: none;
}
.systemColor li {
  display: block;
  float: left;

  width: 0.5rem;
  height: 0.5rem;
  padding: 0;

  cursor: pointer;
}
.systemColor li + li {
  margin-left: 0.2rem;
}
.systemColor li div {
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 0.08rem;
}
.systemColor li.active div {
  border: 1px dashed #ffcc33 !important;
}
/*操作指引*/
#zhiContainer {
  text-align: center;
}
#zhi {
  /*position: absolute;*/
  /*left:50%;*/
  /*top:50%;*/
  width: 6.4rem;
  height: 5rem;
  /*margin-top: -4rem;*/
  /*margin-left: -3.2rem;*/
  background: black;
  margin: 0 auto;
}

/* --------- progress-wrap --------- */
.progress-wrap {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #ffffff;
}

.progress-contain {
  /*position: absolute;*/
  /*top:50%;*/
  /*left:50%;*/
  /*margin-top: 3rem;*/
  /*margin-left: -2.55rem;*/
  height: auto;
  width: 5rem;
  height: auto;
  background: rgba(0, 0, 0, 0.5);
  margin: 4em auto;
}
.progress-contain .progress-border {
  width: 100%;
  height: 0.2rem;
  padding: 0.04rem;
  border: 1px solid #555;
  border-radius: 0.05rem;
}
.progress-contain .progress-border .progress-inner-bar {
  background: #ffcc33;
  height: 100%;
  width: 0%;
  transition: width 0.1s;
  border-radius: 0.02rem;
}

/* --------- stl list --------- */
#stl-container {
  position: absolute;
  left: 0.09rem;
  top: 1.01rem;
  max-height: calc(100vh - 1.93rem);
  overflow: auto;
  display: none;
}
#stl-container .content {
  display: flex;
  flex-direction: column;
}
#stl-container .content .stl-btn {
  font-size: 0.12rem;
  color: #333333;
  background-color: rgba(237, 251, 255, 0.8);
  border-radius: 0.04rem;
  padding: 0.1rem;
  display: inline-block;
  width: 2rem;
}
#stl-container .content .stl-btn.active {
  border: 1px #ffcc33 dashed;
  color: #ffcc33;
  background: rgba(0, 0, 0, 0.2);
}
#stl-container .content .stl-btn + .stl-btn {
  margin-top: 0.08rem;
}
#stl-container .content .stl-btn .controls-header {
  display: flex;
  justify-content: space-between;
}
#stl-container .content .stl-btn .controls-header .title {
  width: 50%;
}
#stl-container .content .stl-btn .controls-header .show {
  width: 10%;
  text-align: center;
  flex-shrink: 1;
}
#stl-container .content .stl-btn .controls-header .volume {
  width: 40%;
  text-align: center;
  font-size: 0.1rem;
  flex-shrink: 1;
}
#stl-container .content .stl-btn .controls-contianer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 0.1rem;
}
.fasimg {
  width: 0.19rem;
  height: 0.17rem;
}
#stl-container .content .stl-btn .controls-contianer .opacity {
  width: 1rem;
  padding-right: 0.1rem;
  border-right: 1px #333333 dashed;
  display: flex;
  align-items: center;
  margin-top: 0.08rem;
}
#stl-container .content .stl-btn .controls-contianer .opacity-btn {
  color: #333333;
  cursor: pointer;
  height: 0.18rem;
  width: 0.33rem;
  text-align: center;
  border-radius: 0.04rem;
  background-color: rgba(106, 144, 178, 0.2);
}
#stl-container .content .stl-btn .controls-contianer .color {
  display: flex;
  justify-content: space-between;
  padding-left: 0.1rem;
  align-items: center;
  margin-top: 0.08rem;
}
#stl-container .content .stl-btn .controls-contianer .color .color-display {
  margin-left: 0.04rem;
  width: 0.12rem;
  height: 0.12rem;
  background-color: #1b1c1e;
  cursor: pointer;
}

/* color picker */
#color-picker {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: none;
}
#color-picker .container {
  background-color: #ffffff;
  border-radius: 0.05rem;
  padding: 0.1rem;
  width: 1.95rem;
  box-sizing: content-box;
}
#color-picker .container .content {
  width: 1.95rem;
}
#color-picker .container .content .row {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 1.95rem;
  margin: 0;
}
#color-picker .container .content .row + .row {
  margin-top: 0.05rem;
}
#color-picker .container .content .row .color {
  cursor: pointer;
  border: 1px solid #000000;
  width: 0.2rem;
  height: 0.2rem;
}
#color-picker .container .content .row .color + .color {
  margin-left: 0.05rem;
}
#color-picker .container hr {
  margin-top: 0.1rem;
  margin-bottom: 0.1rem;
}
#color-picker .container .footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#color-picker .container .footer .compare-color {
  width: 0.8rem;
  height: 0.2rem;
  border: 1px solid #000000;
  box-sizing: content-box;
  display: flex;
}
#color-picker .container .footer .compare-color .color {
  width: 0.4rem;
  height: 0.2rem;
}
#color-picker .container .footer #color-submit {
  cursor: pointer;
  width: 0.5rem;
}

/* tools */
#tools-container {
  position: absolute;
  top: calc(50% - 1.42rem);
  right: 0.12rem;
  background-color: rgba(234, 245, 255, 0.8);
  border-radius: 0.04rem;
  display: none;
  width: 0.6rem;
  height: 2.84rem;
}
#tools-container .content {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
#tools-container .content .tool {
  width: 0.6rem;
  height: 0.71rem;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: center;
  cursor: pointer;
}
#tools-container .content .tool.active {
  background-color: rgba(0, 0, 0, 0.2);
  color: #ffcc33;
}
#tools-container .content .tool .fas {
  width: 0.4rem;
  height: 0.4rem;
  margin-bottom: -0.12rem;
}
#tools-container .content .tool div {
  width: 100%;
  text-align: center;
}

/* info */

#info-container {
  position: absolute;
  right: 0.05rem;
  top: 1rem;

  max-width: 20vw;
  max-height: 50vh;
  overflow: auto;

  font-size: 0.2rem;
  color: #ffffff;
  background-color: rgba(20, 33, 53, 0.4);
  box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.25);
  border: 1px rgba(255, 255, 255, 0) dashed;
  border-radius: 0.1rem;
  padding: 0.1rem;
  display: none;
}

#fullbg {
  background-color: #000;
  opacity: 0.5;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 100;
  display: none;
}
#dialog {
  background-color: #fff;
  border: 1px solid #aaa;
  width: 3rem;
  margin: -1.2rem 0 0 -1.5rem;
  position: fixed;
  top: 50%;
  left: 50%;
  border-radius: 0.05rem;
  z-index: 101;
  display: none;
}
#dialog h1 {
  font-size: 0.25rem;
  text-align: center;
}
#dialog #msgRes {
  font-size: 0.15rem;
  width: 100%;
  border: 0.01rem solid #aaa;
  margin-top: 0.1rem;
  height: 0.4rem;
  text-align: center;
}
#bmxy {
  width: 0.15rem;
  height: 0.15rem;
  outline: auto;
  appearance: auto;
  margin-right: 0.05rem;
}
.bmxybox {
  margin-top: 0.05rem;
  display: flex;
  align-items: center;
  color: #0099ff;
  font-weight: bold;
  cursor: pointer;
}
#dialog div {
  padding: 0.15rem 0.3rem;
}
#dialog .dialogbtn {
  font-size: 0.18rem;
  padding: 0;
}
#dialog .btnbox {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-top: 0.1rem;
}
#dialog1 {
  background-color: #fff;
  border: 1px solid #aaa;
  width: 5rem;
  max-width: 90%;
  transform: translate(-50%, -50%);
  /* margin: -1.2rem 0 0 -2.5rem; */
  position: fixed;
  top: 50%;
  left: 50%;
  border-radius: 0.05rem;
  z-index: 105;
  display: none;
}
#dialog1 h1 {
  font-size: 0.2rem;
  text-align: center;
}
#dialog1 #msgRes {
  font-size: 0.15rem;
  width: 100%;
  border: 0.01rem solid #aaa;
  margin-top: 0.1rem;
  height: 0.4rem;
  text-align: center;
}
#dialog1 div {
  padding: 0.15rem 0.3rem;
}
#dialog1 .dialogbtn {
  font-size: 0.18rem;
  padding: 0;
}
#dialog1 .btnbox1 {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 0.1rem;
  cursor: pointer;
}
#dialog1 .bmxytext {
  margin-top: 0.1rem;
  max-height: 80vh;
  overflow-y: auto;
}
